- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions | Variables
Ecore_Evas Single Process Windowing System.
Ecore » Ecore_Evas wrapper/helper set of functions

These are global scope functions to manage the EWS to be used by ecore_evas_ews_new(). More...

## Functions
EAPI Eina_Bool | ecore_evas_ews_engine_set (const char *engine, const char *options)
| Sets the engine to be used by the backing store engine. More...
EAPI Eina_Bool | ecore_evas_ews_setup (int x, int y, int w, int h)
| Reconfigure the backing store used. More...
EAPI Ecore_Evas * | ecore_evas_ews_ecore_evas_get (void)
| Return the internal backing store in use. More...
EAPI Evas * | ecore_evas_ews_evas_get (void)
| Return the internal backing store in use. More...
EAPI Evas_Object * | ecore_evas_ews_background_get (void)
| Get the current background.
EAPI void | ecore_evas_ews_background_set (Evas_Object *o)
| Set the current background, must be created at evas ecore_evas_ews_evas_get() More...
EAPI const Eina_List * | ecore_evas_ews_children_get (void)
| Return all Ecore_Evas* created by EWS. More...
EAPI void | ecore_evas_ews_manager_set (const void *manager)
| Set the identifier of the manager taking care of internal windows. More...
EAPI const void * | ecore_evas_ews_manager_get (void)
| Get the identifier of the manager taking care of internal windows. More...

## Variables
EAPI int | ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE
| manager was changed More...
EAPI int | ECORE_EVAS_EWS_EVENT_ADD
| window was created More...
EAPI int | ECORE_EVAS_EWS_EVENT_DEL
| window was deleted, pointer is already invalid but may be used as reference for further cleanup work. More...
EAPI int | ECORE_EVAS_EWS_EVENT_RESIZE
| window was resized More...
EAPI int | ECORE_EVAS_EWS_EVENT_MOVE
| window was moved More...
EAPI int | ECORE_EVAS_EWS_EVENT_SHOW
| window become visible More...
EAPI int | ECORE_EVAS_EWS_EVENT_HIDE
| window become hidden More...
EAPI int | ECORE_EVAS_EWS_EVENT_FOCUS
| window was focused More...
EAPI int | ECORE_EVAS_EWS_EVENT_UNFOCUS
| window lost focus More...
EAPI int | ECORE_EVAS_EWS_EVENT_RAISE
| window was raised More...
EAPI int | ECORE_EVAS_EWS_EVENT_LOWER
| window was lowered More...
EAPI int | ECORE_EVAS_EWS_EVENT_ACTIVATE
| window was activated More...
EAPI int | ECORE_EVAS_EWS_EVENT_ICONIFIED_CHANGE
| window minimized/iconified changed More...
EAPI int | ECORE_EVAS_EWS_EVENT_MAXIMIZED_CHANGE
| window maximized changed More...
EAPI int | ECORE_EVAS_EWS_EVENT_LAYER_CHANGE
| window layer changed More...
EAPI int | ECORE_EVAS_EWS_EVENT_FULLSCREEN_CHANGE
| window fullscreen changed More...
EAPI int | ECORE_EVAS_EWS_EVENT_CONFIG_CHANGE
| some other window property changed (title, name, class, alpha, transparent, shaped...) More...

## Detailed Description

These are global scope functions to manage the EWS to be used by ecore_evas_ews_new().

Since
  1.1

## Function Documentation

EAPI Eina_Bool ecore_evas_ews_engine_set | ( | const char * | engine,
|  | const char * | options
| ) |  |

Sets the engine to be used by the backing store engine.

Parameters

  engine | The engine to be set.
  options | The options of the engine to be set.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` if ews is already in use.

Since
  1.1

References EINA_FALSE, and EINA_TRUE.

EAPI Eina_Bool ecore_evas_ews_setup | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Reconfigure the backing store used.

Parameters

  x | The X coordinate to be used.
  y | The Y coordinate to be used.
  w | The width of the Ecore_Evas to setup.
  h | The height of the Ecore_Evas to setup.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise.

Since
  1.1

References ecore_evas_geometry_get(), ecore_evas_move(), ecore_evas_resize(), ecore_evas_size_max_set(), ecore_evas_size_min_set(), EINA_FALSE, and EINA_TRUE.

EAPI Ecore_Evas* ecore_evas_ews_ecore_evas_get | ( | void |  | ) |

Return the internal backing store in use.

Returns
  The internal backing store in use.

Note
  this will forced it to be created, making future calls to ecore_evas_ews_engine_set() void.

See also
  ecore_evas_ews_evas_get()

Since
  1.1

Referenced by ecore_evas_ews_evas_get().

EAPI Evas* ecore_evas_ews_evas_get | ( | void |  | ) |

Return the internal backing store in use.

Returns
  The internal backing store in use.

Note
  this will forced it to be created, making future calls to ecore_evas_ews_engine_set() void.

See also
  ecore_evas_ews_ecore_evas_get()

Since
  1.1

References ecore_evas_ews_ecore_evas_get(), and ecore_evas_get().

EAPI void ecore_evas_ews_background_set | ( | Evas_Object * | o | ) |

Set the current background, must be created at evas ecore_evas_ews_evas_get()

It will be kept at lowest layer (EVAS_LAYER_MIN) and below everything else. You can set any object, default is a black rectangle.

Note
  previous object will be deleted!

Parameters

  o | The Evas_Object for which to set the background.

References ecore_evas_get(), ERR, EVAS_CALLBACK_FREE, EVAS_LAYER_MIN, evas_object_color_set(), evas_object_del(), evas_object_event_callback_add(), evas_object_rectangle_add(), evas_object_show(), and evas_output_framespace_get().

EAPI const Eina_List* ecore_evas_ews_children_get | ( | void |  | ) |

Return all Ecore_Evas* created by EWS.

Returns
  An eina list of Ecore_evases. e

Note
  Do not change the returned list or its contents.

Since
  1.1

EAPI void ecore_evas_ews_manager_set | ( | const void * | manager | ) |

Set the identifier of the manager taking care of internal windows.

The ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE event is issued. Consider handling it to know if you should stop handling events yourself (ie: another manager took over)

Parameters

  manager | any unique identifier address.

See also
  ecore_evas_ews_manager_get()

Since
  1.1

References ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE, and ecore_event_add().

EAPI const void* ecore_evas_ews_manager_get | ( | void |  | ) |

Get the identifier of the manager taking care of internal windows.

Returns
  the value set by ecore_evas_ews_manager_set()

Since
  1.1

## Variable Documentation

EAPI int ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE

manager was changed

Since
  1.1

Referenced by ecore_evas_ews_manager_set().

EAPI int ECORE_EVAS_EWS_EVENT_ADD

window was created

Since
  1.1

Referenced by ecore_evas_ews_new().

EAPI int ECORE_EVAS_EWS_EVENT_DEL

window was deleted, pointer is already invalid but may be used as reference for further cleanup work.

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_RESIZE

window was resized

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_MOVE

window was moved

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_SHOW

window become visible

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_HIDE

window become hidden

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_FOCUS

window was focused

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_UNFOCUS

window lost focus

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_RAISE

window was raised

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_LOWER

window was lowered

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_ACTIVATE

window was activated

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_ICONIFIED_CHANGE

window minimized/iconified changed

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_MAXIMIZED_CHANGE

window maximized changed

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_LAYER_CHANGE

window layer changed

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_FULLSCREEN_CHANGE

window fullscreen changed

Since
  1.1

EAPI int ECORE_EVAS_EWS_EVENT_CONFIG_CHANGE

some other window property changed (title, name, class, alpha, transparent, shaped...)

Since
  1.1